package org.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

import java.util.Date;

@SpringBootApplication
@EnableDiscoveryClient
public class DataBaseApp
{
    public static void main(String[] args)
    {
        init();
        System.out.println("Done Filling");
        SpringApplication.run(DataBaseApp.class, args);
    }
    public static void init()
    {
        Date date = new Date();
        Flight flight1 = new Flight("Las Vegas" , date , "LA21");
        Flight flight2 = new Flight("Tartous" , date , "SY11");
        Flight flight3 = new Flight("Venice" , date , "VEN584");
        FlightDB.addFlight(flight1);
        FlightDB.addFlight(flight2);
        FlightDB.addFlight(flight3);

        User user1 = new User("1" , "Salameh");
        user1.addFlight(flight2);
        user1.addFlight(flight3);

        User user2 = new User("2" , "Einstein");
        user2.addFlight(flight1);
        user2.addFlight(flight2);

        User user3 = new User("3" , "Gambler");
        user3.addFlight(flight1);
        user3.addFlight(flight3);

        UserDB.addUser(user1);
        UserDB.addUser(user2);
        UserDB.addUser(user3);
    }
}
